Skip to main content
POST
/
api
/
v1
/
client
/
transcribe
/
price-calculation
cURL
curl --request POST \
  --url https://api.deapi.ai/api/v1/client/transcribe/price-calculation \
  --header 'Accept: <accept>' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form include_ts=true \
  --form model=WhisperLargeV3 \
  --form 'source_url=https://www.youtube.com/watch?v=jNQXAC9IVRw' \
  --form source_file='@example-file' \
  --form duration_seconds=3600
{
  "data": {
    "price": 0.25
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept
enum<string>
default:application/json
required
Available options:
application/json

Body

multipart/form-data

Transcription price calculation parameters

include_ts
boolean
required

Should transcription include timestamps

model
string
required

The model to use for transcription.

Example:

"WhisperLargeV3"

source_url
string

URL of video/audio to estimate price for. Mutually exclusive with source_file and duration_seconds.

Example:

"https://www.youtube.com/watch?v=jNQXAC9IVRw"

source_file
file

Audio or video file to estimate price for. Mutually exclusive with source_url and duration_seconds.

duration_seconds
number

Duration in seconds for direct price estimation. Mutually exclusive with source_url and source_file.

Example:

3600

Response

Calculated price for transcription.

data
object